Debian Bug report logs - #460297
XML::XPath::Literal: stringification overload broke between 1.12 and 1.13

version graph

Package: libxml-xpathengine-perl; Maintainer for libxml-xpathengine-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libxml-xpathengine-perl is src:libxml-xpathengine-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Fri, 24 Jun 2005 05:18:01 UTC

Severity: normal

Tags: patch, upstream

Found in version libxml-xpathengine-perl/0.08-1

Fixed in version libxml-xpathengine-perl/0.11-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=34908

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#315628; Package libxml-xpath-perl. Full text and rfc822 format available.

Acknowledgement sent to Alexander Zangerl <az@debian.org>:
New Bug report received and forwarded. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Zangerl <az@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: XML::XPath::Literal: stringification overload broke between 1.12 and 1.13
Date: Fri, 24 Jun 2005 15:01:47 +1000
[Message part 1 (text/plain, inline)]
Package: libxml-xpath-perl
Version: 1.13-6
Severity: normal

the stringification of literals (as returned by findvalue) should allow me
to transparently use these like strings/numbers, but that does no longer work.

i'm assigning the result of a findvalue to a hash element (tried scalar, 
fails in the same way), and then i do a multiplication with a constant on it. 

1.13 fails with:
Operation `*': no method found,
        left argument has no overloaded magic,
        right argument in overloaded package XML::XPath::Literal

1.11 (oldstable) and 1.12 works fine, all with the same perl 5.8 
and parser behind the scenes.

a small example program to reproduce the problem is attached. 

-- System Information:
Debian Release: 3.1

Versions of packages libxml-xpath-perl depends on:
ii  libxml-parser-perl            2.34-4     Perl module for parsing XML files
ii  perl                          5.8.4-8    Larry Wall's Practical Extraction 
-- no debconf information
[xpstring.pl (application/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Bonci <jaybonci@debian.org>:
Bug#315628; Package libxml-xpath-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Jay Bonci <jaybonci@debian.org>. Full text and rfc822 format available.

Message #10 received at 315628@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Alexander Zangerl <az@debian.org>, 315628@bugs.debian.org
Subject: Re: Bug#315628: XML::XPath::Literal: stringification overload broke between 1.12 and 1.13
Date: Fri, 11 Jan 2008 23:15:56 +0200
[Message part 1 (text/plain, inline)]
tag 315628 patch
clone 315628 -1
reassign -1 libxml-xpathengine-perl 0.08-1
submitter -1 !
thanks

On Fri, Jun 24, 2005 at 03:01:47PM +1000, Alexander Zangerl wrote:
> Package: libxml-xpath-perl
> Version: 1.13-6
> Severity: normal
> 
> the stringification of literals (as returned by findvalue) should allow me
> to transparently use these like strings/numbers, but that does no longer work.
> 
> i'm assigning the result of a findvalue to a hash element (tried scalar, 
> fails in the same way), and then i do a multiplication with a constant on it. 
> 
> 1.13 fails with:
> Operation `*': no method found,
>         left argument has no overloaded magic,
>         right argument in overloaded package XML::XPath::Literal

Hi,

this can be fixed by adding 'fallback => 1' to the 'use overload'
line in XPath/Literal.pm.

The same problem is also present in other XPath modules as shown eg. by
CPAN #11724 for the case of XML::XPath::NodeSet.

 http://rt.cpan.org/Public/Bug/Display.html?id=11724

The list of modules with 'use overload' lines is

XML::XPath::Number
XML::XPath::Boolean
XML::XPath::Literal
XML::XPath::NodeSet

I can't think of a case where this is a problem for XML::XPath::Boolean,
but it certainly is for XML::XPath::Number (try eg. multiplying the
result of count() to see this.)

Unfortunately, XML::XPath is long dead upstream (see #458713). I
am a bit uneasy about breaking existing programs by fixing this in
Debian... haven't quite decided on this yet, but leaning on the fixing
side.

In any case, the problem is present in libxml-xpathengine-perl (a fork
of the same code that's alive upstream) too, so cloning. Test script
attached. This should be reported upstream on XML::XPathEngine.

Cheers,
-- 
Niko Tyni   ntyni@debian.org
[xpathengine-test.pl (text/x-perl, attachment)]

Tags added: patch Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:18:05 GMT) Full text and rfc822 format available.

Bug 315628 cloned as bug 460297. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:18:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `libxml-xpath-perl' to `libxml-xpathengine-perl'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:18:07 GMT) Full text and rfc822 format available.

Changed Bug submitter from Alexander Zangerl <az@debian.org> to Niko Tyni <ntyni@debian.org>. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 11 Jan 2008 21:18:08 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=34908. Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. (Sat, 12 Apr 2008 11:45:05 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. (Sat, 12 Apr 2008 11:45:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 15 Apr 2008 15:39:12 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#460297. Full text and rfc822 format available.

Message #27 received at 460297-submitter@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 460297-submitter@bugs.debian.org, 460281-submitter@bugs.debian.org
Subject: Bug in libxml-xpathengine-perl fixed in revision 18615
Date: Tue, 15 Apr 2008 15:37:09 +0000
tag 460297 + pending
tag 460281 + pending
thanks

Some bugs are closed in revision 18615
by gregor herrmann (gregoa-guest)

Commit message:

New upstream release, closes two Debian bugs:
- stringification overload broken (closes: #460297)
- "and" in Xpath(Engine) should be commutative (closes: #460281)




Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 460297-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 460297-close@bugs.debian.org
Subject: Bug#460297: fixed in libxml-xpathengine-perl 0.11-1
Date: Tue, 15 Apr 2008 20:47:28 +0000
Source: libxml-xpathengine-perl
Source-Version: 0.11-1

We believe that the bug you reported is fixed in the latest version of
libxml-xpathengine-perl, which is due to be installed in the Debian FTP archive:

libxml-xpathengine-perl_0.11-1.diff.gz
  to pool/main/libx/libxml-xpathengine-perl/libxml-xpathengine-perl_0.11-1.diff.gz
libxml-xpathengine-perl_0.11-1.dsc
  to pool/main/libx/libxml-xpathengine-perl/libxml-xpathengine-perl_0.11-1.dsc
libxml-xpathengine-perl_0.11-1_all.deb
  to pool/main/libx/libxml-xpathengine-perl/libxml-xpathengine-perl_0.11-1_all.deb
libxml-xpathengine-perl_0.11.orig.tar.gz
  to pool/main/libx/libxml-xpathengine-perl/libxml-xpathengine-perl_0.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460297@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libxml-xpathengine-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Apr 2008 23:09:08 +0300
Source: libxml-xpathengine-perl
Binary: libxml-xpathengine-perl
Architecture: source all
Version: 0.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libxml-xpathengine-perl - a re-usable XPath engine for DOM-like trees
Closes: 460281 460297
Changes: 
 libxml-xpathengine-perl (0.11-1) unstable; urgency=low
 .
   [ gregor herrmann ]
   * New upstream release, closes two Debian bugs:
     - stringification overload broken (closes: #460297)
     - "and" in Xpath(Engine) should be commutative (closes: #460281)
 .
   [ Damyan Ivanov ]
   * another new upstream release
   * add myself to Uploaders
Checksums-Sha1: 
 29ecd1be5158c3facfd230f789131a998a24f8bd 1511 libxml-xpathengine-perl_0.11-1.dsc
 b5f4a09bb962709b1586e79bf9f55c7a4ba2a8b0 25282 libxml-xpathengine-perl_0.11.orig.tar.gz
 5152596394daef024e8b5784506db168ad48ca0b 2585 libxml-xpathengine-perl_0.11-1.diff.gz
 b6943556802a8f082a464e9d0d241edfe73b1cc9 38084 libxml-xpathengine-perl_0.11-1_all.deb
Checksums-Sha256: 
 33f63857a2f920ccd47d3808df996d73ac2cf96b4eccb8f88c08980b8be0fd38 1511 libxml-xpathengine-perl_0.11-1.dsc
 735e7b0c76a8ed47ba6cd47e1961771effa27afc159f0838d03dc39ac53567ff 25282 libxml-xpathengine-perl_0.11.orig.tar.gz
 2f20bfb7767e4e28fb15ba434c82bd32adeccd825167b2c29ea12c0d4ec10cbb 2585 libxml-xpathengine-perl_0.11-1.diff.gz
 c8596b541918e740b3aaafe95af9298a9f9dc2d5706265ac79871f6da8681b44 38084 libxml-xpathengine-perl_0.11-1_all.deb
Files: 
 ec79d09e447c3c9fa3af4123ccbdcad4 1511 perl optional libxml-xpathengine-perl_0.11-1.dsc
 63c1f458501174eeb3025506426fd27c 25282 perl optional libxml-xpathengine-perl_0.11.orig.tar.gz
 a53d70195e8b06d7c85d0629452e8179 2585 perl optional libxml-xpathengine-perl_0.11-1.diff.gz
 a5da99b83e3a344e4f85a21d2ade606a 38084 perl optional libxml-xpathengine-perl_0.11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIBQvxHqjlqpcl9jsRAhXzAKCcrkP2QXoEDXq/CyhRqbEhLqqHUACgu5KN
T96fFDYKhfTf45oft2ipMpc=
=bve5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 May 2008 07:41:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:54:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.